cocoapods(8)

7follower
高瀬 裕介 さんのアバター 7views

OSX 10.11にCocoaPodsをいれる

sudo gem install -n /usr/local/bin cocoapods Macのどこかのバージョンから普通に入れようとするとxcodeのディレクトリに書き込めないとかなんとかエラーになる ... 2016年3月15日
Ryosei Shinoki さんのアバター 992views

[Swift]El Capitanでcocoapodsをインストールできない

iPhoneアプリを開発するときに、よく使う非常に便利なCocoapodsをインストールするためのコマンドは以下ですが、El Capitanだとこれではインストールできないことがあります。 sudo gem install cocoapo... 2016年2月12日
nbeppu さんのアバター 92views

Circle CI で CocoaPods のエラー発生

Circle CI で iOS アプリをビルド中に、以下のエラーが表示される様になりました。 cd "." bundle check --path=vendor/bundle || bundle install --path=vendor... 2015年12月8日
Ryosei Shinoki さんのアバター 348views

Cocoapodのバージョン管理

Cocoapodのバージョンを管理するときにPodfileをどう書くかまとめます バージョンを指定したい場合 pod 'hogehoge', '1.0' //バージョンを1.0に固定する バージョンをあるバージョンより新しいものを... 2015年11月19日
nbeppu さんのアバター 221views

Podfile の管理方法

Podfile を Git で管理する場合、ライブラリのバージョンアップがあった場合やローカル環境の CocoaPods のバージョン違いにより不必要に Podfile.lock の差分が生まれてしまいます。ただし、Podfile.lock... 2015年8月10日
nbeppu さんのアバター 301views

iOS7対応のSwift環境で CocoaLumberjack を利用する

iOS8 以上の対応の場合は、CocoaPods 0.36 以上で Swift 版を利用できますので、 Podfile のみの対応でインストールが可能です。iOS7 にも対応したい場合には以下のようにします。 Podfile を用意して ... 2015年7月1日
nbeppu さんのアバター 294views

CocoaPods で Swift ライブラリを利用する。

CocoaPods はバージョン 0.35 では Objective-C のライブラリのみ取り扱うことができまして、Swift には対応していません。 ただし、以下の方法で、beta 版を利用することにより、Swift ライブラリのインポー... 2015年1月9日
nbeppu さんのアバター 95views

CocoaPods でライブラリ管理する

CocoaPods は Xcodeプロジェクトのライブラリ依存関係を管理できるツールです。RubyGems や yum のようなイメージとなります。 CocoaPods インストール、設定 sudo gem update --syste... 2014年11月20日